import { useSystemStore } from '@/stores/system.js'

export default function (el, binding) {
  const systemStore = useSystemStore()
  const { value } = binding

  if (systemStore.isSa) return true

  if (value && value instanceof Array && value.length > 0) {
    let has = systemStore.auths.some((item) => {
      return value.includes(item)
    })

    if (!has) {
      el.parentNode && el.parentNode.removeChild(el)
    }
  } else {
    throw new Error('需要指定权限')
  }
}
