package {{ cookiecutter.__mvn_package }};

import io.swagger.v3.oas.annotations.OpenAPIDefinition;
import io.swagger.v3.oas.annotations.info.Contact;
import io.swagger.v3.oas.annotations.info.Info;
import org.mybatis.spring.annotation.MapperScan;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.scheduling.annotation.EnableAsync;
import org.springframework.scheduling.annotation.EnableScheduling;

/** {{ cookiecutter.project_hans }}后端. */
@OpenAPIDefinition(
    info =
        @Info(
            title = "{{ cookiecutter.project_hans }}后端",
            version = "0.0.1",
            description = "{{ cookiecutter.project_hans }}的接口文档",
            contact = @Contact(name = "{{ cookiecutter.author }}", email = "{{ cookiecutter.email }}")))
@MapperScan({"{{ cookiecutter.__mvn_package }}.rest.dao", "{{ cookiecutter.__mvn_package }}.module.dao"})
@EnableAsync(proxyTargetClass = true)
@EnableScheduling
@SpringBootApplication
public class Application {

  public static void main(String[] args) {
    SpringApplication.run(Application.class, args);
  }
}
