/*
 * Copyright (c) 2011-2021, baomidou (jobob@qq.com).
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package {{ cookiecutter.__mvn_package }}.rest.api;

/**
 * REST API 错误码接口.
 *
 * @author hubin
 * @since 2018-06-05
 */
public interface ErrorCode {

  /** 错误编码 -1、失败 0、成功. */
  long getCode();

  /** 错误描述. */
  String getMsg();
}
